[packagers] broken dependencies on rhel 5.2

Farkas Levente lfarkas at lfarkas.org
Thu Jun 26 14:19:15 CEST 2008


hi,
while i try to update of of my machines i've got this dependencies error:
-------------------------------------------------
3271 packages excluded due to repository priority protections
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package perl-Compress-Raw-Zlib.i386 0:2.011-1.el5.rf set to be updated
---> Package php-pear-db.noarch 0:1.7.13-1.el5.rf set to be updated
---> Package perl-IO-Compress-Zlib.noarch 0:2.011-1.el5.rf set to be updated
---> Package perl-IO-Compress-Base.noarch 0:2.011-1.el5.rf set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
  Package                 Arch       Version          Repository 
Size
=============================================================================
Installing:
  php-pear-db             noarch     1.7.13-1.el5.rf  rpmforge 
147 k
      replacing  php-pear-DB.noarch 1.7.13-1.el5.centos

Updating:
  perl-Compress-Raw-Zlib  i386       2.011-1.el5.rf   rpmforge 
163 k
  perl-IO-Compress-Base   noarch     2.011-1.el5.rf   rpmforge 
  56 k
  perl-IO-Compress-Zlib   noarch     2.011-1.el5.rf   rpmforge 
142 k

Transaction Summary
=============================================================================
Install      1 Package(s)
Update       3 Package(s)
Remove       0 Package(s)

Total download size: 508 k
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
   file /usr/share/pear/.channels/__uri.reg from install of 
php-pear-db-1.7.13-1.el5.rf conflicts with file from package 
php-pear-1.4.9-4.el5.1
   file /usr/share/pear/.channels/pear.php.net.reg from install of 
php-pear-db-1.7.13-1.el5.rf conflicts with file from package 
php-pear-1.4.9-4.el5.1
   file /usr/share/pear/.channels/pecl.php.net.reg from install of 
php-pear-db-1.7.13-1.el5.rf conflicts with file from package 
php-pear-1.4.9-4.el5.1
   file /usr/share/pear/.depdb from install of 
php-pear-db-1.7.13-1.el5.rf conflicts with file from package 
php-pear-1.4.9-4.el5.1

Error Summary
-------------
-------------------------------------------------

-- 
   Levente                               "Si vis pacem para bellum!"



More information about the packagers mailing list